/*
 * File: Page4.java
 * Project: Crèdits i llicència, es.aranova.mhp.apps.creditsillicencia;
 * Revision: 1.0
 * Date: 15/04/08 23:16
 *
 * Copyright 2006 ARANOVA.
 *
 * All rights reserved. Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package es.aranova.mhp.apps.creditsillicencia;

import java.awt.Toolkit;
import java.awt.event.KeyEvent;


import es.aranova.mhp.base.PageContainer;
import es.aranova.mhp.base.controls.AppMenu;
import es.aranova.mhp.base.controls.TextBox;
import es.aranova.mhp.base.enums.TypeMenu;

public class Page4 extends PageContainer {
	private TextBox helpBox;
	private AppMenu helpMenu;
	private final String _text;

	public Page4() {
		super();
		_text = "Els textos d'questa obra està subjecta a una llicència Reconeixement-Compartir amb la mateixa llicència 2.5 Espanya de Creative Commons. Per veure'n una còpia, visiteu http://creativecommons.org/licenses/by-sa/2.5/ /es/deed.ca o envieu una carta a Creative Commons, 171 Second Street, Suite 300, San Francisco, California 94105, USA. Codi legal: http://creativecommons.org/ /licenses/by-sa/2.5/es/legalcode.ca";
	}

	public void keyTyped(KeyEvent e) {
	}
	public String getTemplate() {
		return "es.aranova.mhp.apps.creditsillicencia.templategray";
	}
	public void setVisible(boolean b) {
		helpBox.setVisible(b);
		helpMenu.setVisible(b);
		super.setVisible(b);
	}
	
	public void keyPressed(KeyEvent e) {
		if (getActualPage() != null) {
			getActualPage().keyPressed(e);
			return;
		}
		int keyCode = e.getKeyCode();
		if ((keyCode == KeyEvent.VK_ENTER)) {
			e.consume();
			goBack();
		}
	}

	public void keyReleased(KeyEvent e) {
	}

	protected void init() {
		// Create text box.
		helpBox = new TextBox(25,5,getWidth() -50 ,getHeight() - 50);
		helpBox.setText(_text);
		add(helpBox);

		// Create menu (exit button)
		helpMenu = new AppMenu(1,getWidth() - 40, getHeight() - 40, 20, 20, TypeMenu.IMAGE);
		helpMenu.setLabel(0,"Back", "", Toolkit.getDefaultToolkit().getImage("res/tasto_6_architetto_franc_01.png"));

		add(helpMenu);
	}

	/* (non-Javadoc)
	 * @see com.aranova.mhp.base.PageContainer#reset()
	 */
	protected void reset() {
		
	}
}
