/*
 * File: templategray.java
 * Project: Crèdits i llicència, es.aranova.mhp.apps.creditsillicencia;
 * Revision: 1.0
 * Date: 15/04/08 23:16
 *
 * Copyright 2006 ARANOVA.
 *
 * All rights reserved. Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package es.aranova.mhp.apps.creditsillicencia;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;

import es.aranova.mhp.base.TemplateContainer;

public class templategray extends TemplateContainer {
	private Image backgroundImage = null;
	private Image watermarkImage = null;

	public templategray() {
		super();
		setSize(720,576);
		setFreeRegion(0, 106, 720, getHeight() - 106);
		backgroundImage = Toolkit.getDefaultToolkit().getImage("res/background_gray.png");
		watermarkImage = Toolkit.getDefaultToolkit().getImage("res/watermark.png");
	}

	public void paint(Graphics g) {
		// Fill background
		g.drawImage(backgroundImage, 0, 0, getSize().width, getSize().height,null);
		g.drawImage(watermarkImage, getSize().width-125, getSize().height-100, 125, 100,null);

		// Paint title bar
		paintTitleBar(g);
		// Paint components
		super.paint(g);

	}

	// Paint the MapGet title bar
	private void paintTitleBar(Graphics g) {
		g.setFont(new Font("Tireasias",Font.BOLD,45));
		g.setColor(Color.black);
		g.drawString(getAppName(),50,75);
		g.setColor(new Color (128, 128,128));
		g.drawString(getAppName(),44,72);
	}
}
