package es.aranova.mhp.base.controls;
/************************************************************
 * The MapGet example application.
 * Class MenuItemBox
 * - Handles one selection of the AppMenu
 *
 * Niklas Hagstr�m		
 * Turku Centre for Computer Science - http://www.tucs.fi/
 * September, 2004
 * 
 ************************************************************
 */

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;

import es.aranova.mhp.base.enums.TypeMenu;

public class MenuItemBox extends Component {
	private String _description;
	private Image _image;
	private int width = 0;
	private int height = 0;
	private boolean focused = false;
	private int _type;

	// Create MenuItemBox with a specific size. Won't look good if made too small.
	// The super class' method setName(String) is used for setting the text to be
	// shown.
	public MenuItemBox(int x,int y,int w, int h, int type) {
		super();
		setLocation(x,y);
		setSize(w,h);

		_type = type;
		width = w;
		height = h;
	}

	public void paint(Graphics g) {
		FontMetrics fm;
		int txtHeight;
		int txtWidth;
		switch (_type) {
		case TypeMenu.SIMPLE:
			if (focused) {
				g.setColor(new Color(0xff, 0xdf, 0x7f));
				g.fillRect(2,height-6,width-4,height-4);
				//g.setColor(Color.black);
			} else {
				g.setColor(Color.white);
			}
			g.setFont(new Font("Tireasias",Font.PLAIN,25));
			fm = g.getFontMetrics();
			txtHeight = fm.getHeight();
			txtWidth = fm.stringWidth(getName());
			//g.drawString(getName(), 0(width-txtWidth)/2,height/2+txtHeight/3);
			g.drawString(getName(), 0,height/2+txtHeight/3);
			break;
		case TypeMenu.IMAGE:
			if (focused) {
				g.setColor(new Color(0xff, 0xdf, 0x7f));
				g.fillRect(2,2,width-4,height-4);
			}
			g.drawImage(_image, 0, 0, getSize().width, getSize().height,null);
			break;
		case TypeMenu.BORDER:
			g.setColor(Color.black);
			g.fillRect(0,0,width,height);
			if (focused) {
				g.setColor(new Color(0xff, 0xdf, 0x7f));
				g.fillRect(2,2,width-4,height-4);
				g.setColor(Color.black);
			} else {
				g.setColor(new Color(0x00,0x00,0x7f));
				g.fillRect(2,2,width-4,height-4);
				g.setColor(Color.white);
			}
			g.setFont(new Font("Tireasias",Font.PLAIN,25));
			fm = g.getFontMetrics();
			txtHeight = fm.getHeight();
			txtWidth = fm.stringWidth(getName());
			g.drawString(getName(), (width-txtWidth)/2,height/2+txtHeight/3);
			break;
		default:
			break;
		}
	}

	public void setFocused(boolean b) {
		if (b) {
			focused = true;
		} else {
			focused = false;
		}
	}

	/**
	 * @param description
	 */
	public void setDescription(String description) {
		_description = description;
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return _description;
	}

	/**
	 * @param image
	 */
	public void setImage(Image image) {
		_image = image;		
	}
}