/*
 * File: Page1.java
 * Project: Termes del joc II, es.aranova.mhp.apps.termesdeljocii;
 * Revision: 1.0
 * Date: 15/04/08 22:00
 *
 * Copyright 2006 ARANOVA.
 *
 * All rights reserved. Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package es.aranova.mhp.apps.termesdeljocii;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.KeyEvent;


import es.aranova.mhp.base.PageContainer;
import es.aranova.mhp.base.controls.AppMenu;
import es.aranova.mhp.base.controls.TextBox;
import es.aranova.mhp.base.enums.TypeMenu;

public class Page1 extends PageContainer {
	private TextBox helpBox;
	private AppMenu helpMenu;
	private Image image = null;
	private final String _text;
	private final String _image;

	public Page1() {
		super();
		_text = "Un jugador porta un vint-i-cinc quan té el dos i tres del mateix coll.";
		_image = "25.jpg";
	}
	public String getTemplate() {
		return "es.aranova.mhp.apps.termesdeljocii.templateazul";
	}
	public void keyTyped(KeyEvent e) {
	}

	public void setVisible(boolean b) {
		helpBox.setVisible(b);
		helpMenu.setVisible(b);
		super.setVisible(b);
	}

	public void keyPressed(KeyEvent e) {
		if (getActualPage() != null) {
			getActualPage().keyPressed(e);
			return;
		}
		int keyCode = e.getKeyCode();
		if ((keyCode == KeyEvent.VK_ENTER)) {
			e.consume();
			goBack();
		}
	}

	public void keyReleased(KeyEvent e) {
	}

	protected void init() {
		// Create text box.
		helpBox = new TextBox(25,11,400,getHeight() - 50);
		helpBox.setText(_text);
		add(helpBox);

		// Create menu (exit button)
		helpMenu = new AppMenu(1,getWidth() - 40, getHeight() - 40, 20, 20, TypeMenu.IMAGE);
		helpMenu.setLabel(0,"Back", "", Toolkit.getDefaultToolkit().getImage("res/tasto_6_architetto_franc_01.png"));
		add(helpMenu);

		image = Toolkit.getDefaultToolkit().getImage("res/" + _image);
	}

	/* (non-Javadoc)
	 * @see java.awt.Container#paint(java.awt.Graphics)
	 */
	public void paint(Graphics g) {
		g.drawImage(image,430,10,273,372,null);
		super.paint(g);
	}

	/* (non-Javadoc)
	 * @see com.aranova.mhp.base.PageContainer#reset()
	 */
	protected void reset() {
		
	}
}
